# Depsgraph(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``Depsgraph`(bpy_struct)
  `debug_graphviz`(filename)

    debug_graphviz

    Parameters: | filename (string, (never None)) – File Name, File in which to store graphviz debug output

  `debug_rebuild`()

    debug_rebuild

  `debug_stats`()

    Report the number of elements in the Dependency Graph

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Scene.depsgraph` |